#3 Mediatomb crashes when starting in daemon mode from command

pre 0.9 SVN
closed-fixed
Jin
General (19)
8
2007-01-24
2006-07-18
No

I'm using Ubuntu 6.06 and if I'm trying to start the
mediatomb server in daemon mode from the command line
it returns the error shown below. It doesn't matter
whether I have root rights or not. Mediatomb is
compiled using the newest libupnp (1.3.1).

$ mediatomb -d
2006-06-18 15:06:51 INFO: ======== MediaTomb UPnP
Server version 0.8.1-patched ========
2006-06-18 15:06:51 INFO: Loading configuration from
~/.mediatomb/config.xml
2006-06-18 15:06:51 INFO: Loading configuration from:
/home/michael/.mediatomb/config.xml
2006-06-18 15:06:51 INFO: Checking configuration...
2006-06-18 15:06:51 INFO: Config: option not found:
/server/servedir using default value:
2006-06-18 15:06:51 INFO: Config: option not found:
/import/metadata-charset using default value: ISO-8859-1
2006-06-18 15:06:51 INFO: checking ip..
2006-06-18 15:06:51 INFO: Config: option not found:
/server/ip using default value:
2006-06-18 15:06:51 INFO: Config: option not found:
/server/bookmark using default value: mediatomb.html
2006-06-18 15:06:51 INFO: Config: option not found:
/server/port using default value: 0
2006-06-18 15:06:51 INFO: Config: option not found:
/server/alive using default value: 180
2006-06-18 15:06:51 INFO: Config: option not found:
/import/library-options/libextractor/auxdata using
default value:
2006-06-18 15:06:51 INFO: Config: option not found:
/import/magic-file using default value:
2006-06-18 15:06:51 INFO: Configuration check succeeded.
2006-06-18 15:06:51 INFO: Config: option not found:
/server/ip using default value:
2006-06-18 15:06:51 INFO: got ip: (null)
Exception: upnp_init: UpnpInit failed
_STRACE_ 0 mediatomb [0x8070ab2]
_STRACE_ 1 mediatomb [0x8055ab3]
_STRACE_ 2 mediatomb [0x8056624]
_STRACE_ 3 mediatomb [0x804b6fd]
_STRACE_ 4
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xd2)
[0xb7a0eea2]
_STRACE_ 5 mediatomb(__gxx_personality_v0+0xcd) [0x804b151]
2006-06-18 15:06:51 INFO: main: upnp error -205
2006-06-18 15:06:51 INFO: threadProc: update thread
shut down.

Discussion

  • Jin

    Jin - 2006-07-18

    Logged In: YES
    user_id=1205152

    This is a known issue, I am working on a fix for it. Seems
    to be related to the glibc version that is used on the
    system; the problem itself is somewhere in the UPnP SDK.

    Thanks for the report!

    Greetings,
    Jin

     
  • Jin

    Jin - 2006-07-18
    • priority: 5 --> 8
    • assigned_to: nobody --> jin_eld
     
  • Jin

    Jin - 2006-08-11
    • status: open --> pending-fixed
     
  • Jin

    Jin - 2006-08-11

    Logged In: YES
    user_id=1205152

    Should be fixed in the 0.9.0 release. Since the integration
    of libupnp 1.4.x sources I could not reproduce this bug anymore.

    I will leave this bug around until confirumation that daemon
    mode works on others systems.

     
  • Jin

    Jin - 2006-08-15
    • status: pending-fixed --> open-fixed
     
  • Jin

    Jin - 2007-01-24
    • milestone: --> pre 0.9 SVN
    • labels: --> General
    • status: open-fixed --> closed-fixed
     
  • Jin

    Jin - 2007-01-24

    Logged In: YES
    user_id=1205152
    Originator: NO

    this problem no longer appears since the integration of libupnp into our code

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks